%define major		1
%define libname		%mklibname pcap %{major}
%define develname	%mklibname pcap -d

Name:		libpcap
Version:	1.10.4
Release:	%mkrel 1
Summary:	A system-independent interface for user-level packet capture
License:	BSD
Group:		System/Libraries
URL:		http://www.tcpdump.org/
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.xz
Patch0:		libpcap-multilib.patch
Patch1:		libpcap-man.patch
Patch2:		libpcap-1.9.0-lpthread.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(bluez)

%description
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package	doc
Summary:	Manual pages for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
This contains the manual pages documenting %{name}.

%package -n	%{libname}
Summary:	A system-independent interface for user-level packet capture
Group:      System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:   pcap = %{version}-%{release}

%description -n	%{libname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package -n	%{develname}
Summary:	Static library and header files for the pcap library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	pcap-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

This package contains the static pcap library and its header files needed to
compile applications such as tcpdump, etc.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fno-strict-aliasing"

%configure2_5x --enable-ipv6

%make_build

%install
rm -rf %buildroot
%make_install

# install additional headers
install -m0644 pcap-int.h %{buildroot}%{_includedir}/

rm -f %{buildroot}%{_libdir}/libpcap.a

%files -n %{libname}
%{_libdir}/libpcap.so.%{major}*

%files doc
%{_mandir}/man?/*

%files -n %{develname}
%{_bindir}/pcap-config
%dir %{_includedir}/pcap
%{_includedir}/pcap/*.h
%{_includedir}/*.h
%{_libdir}/libpcap.so
%{_libdir}/pkgconfig/libpcap.pc


%changelog
* Sun Apr 09 2023 tex - 1.10.4-1pclos2023
- new version

* Sun Jan 15 2023 tex - 1.10.3-1pclos2023
- new version

* Thu Jan 05 2023 tex - 1.10.2-1pclos2023
- new version

* Fri Jun 11 2021 tex - 1.10.1-1pclos2021
- new version

* Fri Jan 01 2021 tex - 1.10.0-1pclos2020
- new version
